package com.tenlionsoft.baselib.core.db.beans;

import androidx.annotation.NonNull;
import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.PrimaryKey;

/**
 * 作者: adam
 * 日期: 2022/3/28 - 4:23 下午
 * 邮箱: itgaojian@163.com
 * 描述: 用户账户表
 */
@Entity(tableName = "user_account")
public class UserAccountBean {

    @NonNull
    @PrimaryKey
    private int id;//` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '账户表自增主键',
    @ColumnInfo(name = "uid")
    private String uid;//` char(36) NOT NULL COMMENT '账户表36位主键',
    @ColumnInfo(name = "account_money")
    private String accountMoney;//` char(20) DEFAULT NULL COMMENT '账户编号',
    @ColumnInfo(name = "account_number")
    private int accountNumber;//` bigint(20) DEFAULT NULL COMMENT '账户金额(整数)',
    @ColumnInfo(name = "sync_number")
    private int syncNumber;//` bigint(20) DEFAULT NULL COMMENT '同步号',
    @ColumnInfo(name = "creator")
    private String creator;//` char(36) DEFAULT NULL COMMENT '账户人员ID',
    @ColumnInfo(name = "gmt_create")
    private String gmtCreate;//` datetime DEFAULT NULL,
    @ColumnInfo(name = "modifier")
    private String modifier;//` char(36) DEFAULT NULL,
    @ColumnInfo(name = "gmt_modified")
    private String gmtModified;//` datetime DEFAULT NULL,
    @ColumnInfo(name = "is_delete")
    private String isDelete;//` char(1) DEFAULT NULL,
    @ColumnInfo(name = "is_update")
    private String isUpdate;//是否需要更新  0否 1是

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getAccountMoney() {
        return accountMoney;
    }

    public void setAccountMoney(String accountMoney) {
        this.accountMoney = accountMoney;
    }

    public int getAccountNumber() {
        return accountNumber;
    }

    public void setAccountNumber(int accountNumber) {
        this.accountNumber = accountNumber;
    }

    public int getSyncNumber() {
        return syncNumber;
    }

    public void setSyncNumber(int syncNumber) {
        this.syncNumber = syncNumber;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(String isDelete) {
        this.isDelete = isDelete;
    }

    public String getIsUpdate() {
        return isUpdate;
    }

    public void setIsUpdate(String isUpdate) {
        this.isUpdate = isUpdate;
    }
}
